This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 733671 - Request static uid/gid for myproxy service.
Request static uid/gid for myproxy service.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: setup (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-26 09:00 EDT by Steve Traylen
Modified: 2013-01-23 17:04 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-26 09:26:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Steve Traylen 2011-08-26 09:00:27 EDT
As per:

   http://fedoraproject.org/wiki/Packaging:UsersAndGroups

the myproxy-server (part of myproxy.srpm)  package creates the user myproxy.

   Please can I request a static allocation of uid/gid pair.

In particular the myproxy service stores X509 user credentials with on the filesystem.

MyProxy is often deployed with these on disk credentials  on a shared file system (e.g. NFS) 
between two servers.


Many Thanks


Steve.
Comment 1 Steve Traylen 2011-08-26 09:14:26 EDT
Hi,
You need the home directory and shell of course if this is to be approved:

useradd -r -g myproxy -d %{_var}/lib/myproxy -s /sbin/nologin \
          -c "User to run the MyProxy service" myproxy

Steve.
Comment 2 Ondrej Vasik 2011-08-26 09:26:13 EDT
* Fri Aug 26 2011 Ondrej Vasik <ovasik@redhat.com> 2.8.40-1
- reserve 178:178 for myproxy (myproxy-server) - #733671
Comment 3 Fedora Update System 2012-12-19 10:55:47 EST
myproxy-5.9-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/myproxy-5.9-2.el5
Comment 4 Fedora Update System 2012-12-19 10:56:17 EST
myproxy-5.9-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/myproxy-5.9-2.el6
Comment 5 Fedora Update System 2012-12-19 10:56:49 EST
myproxy-5.9-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/myproxy-5.9-2.fc18
Comment 6 Fedora Update System 2013-01-21 22:33:29 EST
myproxy-5.9-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-01-23 11:19:30 EST
myproxy-5.9-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-01-23 17:04:16 EST
myproxy-5.9-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.